Skip to main content
GET
/
lounges
/
order
/
{orderId}
Get order details
curl --request GET \
  --url https://business.bfinance.app/external/api/lounges/order/{orderId} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "data": {
    "person": {
      "firstName": "<string>",
      "lastName": "<string>",
      "type": "adult"
    },
    "status": "<string>",
    "date": "2023-12-25",
    "airport": {
      "title": "<string>",
      "location": {
        "city": "<string>",
        "country": "<string>",
        "coordinates": {}
      }
    },
    "lounge": {
      "title": "<string>",
      "terminal": "<string>",
      "description": "<string>",
      "timezone": "<string>",
      "photos": [
        "<string>"
      ],
      "workingTime": "<string>",
      "features": [
        {
          "id": "<string>",
          "title": "<string>",
          "payable": true
        }
      ],
      "terminalType": "<string>",
      "address": "<string>",
      "info": {
        "openStatus": "<string>",
        "closeTime": "<string>",
        "openTime": "<string>"
      },
      "restrictions": [
        {
          "type": "<string>",
          "description": "<string>"
        }
      ]
    },
    "access": {
      "couponCode": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

orderId
string
required

Order ID

Response

Order details retrieved successfully

status
enum<string>
Available options:
success
data
object